﻿// .Net Follower http://dotnetfollower.com

using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Upgrade2007BdcModelTo2010
{
    public static class Extensions
    {
        public static void AddRange(this List<object> objList, IEnumerable enumerable)
        {
            foreach (object obj in enumerable)
                objList.Add(obj);
        }

        public static void RemoveRange(this ListBox.ObjectCollection objCollection, IEnumerable enumerable)
        {
            List<object> tmpObjList = new List<object>();
            tmpObjList.AddRange(enumerable);

            foreach(object obj in tmpObjList)
                objCollection.Remove(obj);
        }

        public static List<object> ToList(this ListBox.ObjectCollection objCollection)
        {
            List<object> resList = new List<object>(objCollection.Count);
            resList.AddRange(objCollection);
            return resList;
        }            
    }
}
